// crrc_Audio.h - Airplane selection dialog

#ifndef CRRC_AUDIO_H
#define CRRC_AUDIO_H

#include <plib/pu.h>
#include <plib/puAux.h>

#include "crrc_dialog.h"
#include "../SimpleXMLTransfer.h"

class CGUIAudioDialog;

/** \brief The Audio options dialog.
 *
 */
class CGUIAudioDialog : public CRRCDialog
{
  public:
    CGUIAudioDialog();
    ~CGUIAudioDialog();
   
    puaComboBox*        comboSampleRate;
    static const char*  samplerates[];
   
    puaComboBox*        comboEngine;
    static const char*  enginesound[];
   
    puSlider*           slider_variovol;
};

#endif // CRRC_AUDIO_H
