#ifndef CRRC_SCALEINPUT_H
#define CRRC_SCALEINPUT_H

#include <plib/pu.h>

#include "crrc_dialog.h"
#include "crrc_slider.h"
#include "../SimpleXMLTransfer.h"
#include "../tx_interface.h"
#include "../crrc_inputs.h"

class CGUIInputScaleDialog;

/** \brief The software mixer options dialog.
 *
 */
class CGUIInputScaleDialog : public CRRCDialog
{
  public:
    enum { NrOfAxes = 4 };
   
    CGUIInputScaleDialog(T_TX_Interface* itxi);
    ~CGUIInputScaleDialog();
    
    T_TX_Interface* txi;
   
    crrcSlider*     slider_trim[NrOfAxes];
    crrcSlider*     slider_nrate[NrOfAxes];
    crrcSlider*     slider_exp[NrOfAxes];
   
    puText*         labels[3];
    
    puButton*       enable_button;

    puGroup*        all_widgets;
};

#endif // CRRC_SCALEINPUT_H
