#include "crrc_rand.h"

unsigned int CRRC_Random::uRandState16;
unsigned int CRRC_Random::uRandState32;

void CRRC_Random::insertData(int nData)
{
  uRandState16 += nData;
  
  const int a = 1103515245;
  const int c = 12345;
  uRandState16 = (a * uRandState16 + c) % 0x7FFF;
  
  uRandState32 = (uRandState32 << 5) ^ (uRandState16 << 3) ^ nData;
  
  //  std::cout << uRandState32 << "\n";
  // Histogramm of uRandState32, test with 106557 values:
  // Only two values occured twice, all the others only once.
  // Groups showed good distribution:
  //    1000:   most once, lots two times, 10 three times.
  //    2000:   like 1000, but more three times, one four times.
  //    5000:   everything fine
  //   50000:   everything fine
  //  500000:   everything fine
  // Value over time is equally distributed, too.
  
  srand(uRandState32);
}

