/***************************************************************************
                          ls_types.h  -  description
                             -------------------
    begin                : Sat Jan 22 2000
    copyright            : (C) 2000 by Jan Edward Kansky
    email                : kansky@ll.mit.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************

	TITLE:	ls_types.h
	
----------------------------------------------------------------------------

	FUNCTION:	LaRCSim type definitions header file

----------------------------------------------------------------------------

	MODULE STATUS:	developmental

----------------------------------------------------------------------------

	GENEALOGY:	Created 15 DEC 1993 by Bruce Jackson from old
			ls_eom.h header

----------------------------------------------------------------------------

	DESIGNED BY:	B. Jackson
	
	CODED BY:	B. Jackson
	
	MAINTAINED BY:	guess who

----------------------------------------------------------------------------

	MODIFICATION HISTORY:
	
	DATE	PURPOSE						BY
	
--------------------------------------------------------------------------*/

#ifndef _LS_TYPES_H
#define _LS_TYPES_H


/* SCALAR type is used throughout equations of motion code - sets precision */

typedef double SCALAR;

typedef SCALAR VECTOR_3[3];

/* DATA type is old style; this statement for continuity */

#define DATA SCALAR


#endif /* _LS_TYPES_H */


/* --------------------------- end of ls_types.h -------------------------*/
