#ifndef LINEARREG_H
# define LINEARREG_H

#include <vector>

/**
 * Linear regression
 *
 *  y = a + b * x
 * 
 * @author Jens W. Wulf
 */
class T_LinearReg
{
  public:
   void   init();
   double get_a();
   double get_b();   
   void   add(double ix, double iy);      
   void   calc();
   
  private:
   std::vector<double> x;
   std::vector<double> y;
   double b;
   double a;
};

#endif
