#ifndef CRRC_SPIN_H
#define CRRC_SPIN_H

#include <plib/pu.h>

/**
 * This slider differs from puaSpinBox in that it doesn't
 * allow keyboard input and has bigger Buttons. It is made for input
 * of integers only.
 */
class crrcSpin : public puGroup
{
//  UL_TYPE_DATA

  protected :
   puInput       *input_box ;
   puArrowButton *up_arrow ;
   puArrowButton *down_arrow ;
   int           nValue;
   int           nValueMin;
   int           nValueMax;
   

  public:
   crrcSpin ( int minx, int miny, int maxx, int maxy);
   
   void setMinValue(int i) { nValueMin = i; };
   void setMaxValue(int i) { nValueMax = i; };

   int getMinValue() { return(nValueMin); };
   int getMaxValue() { return(nValueMax); };
   
   int getIntValue() { return(nValue); };

   void setValue (int i);
};
#endif
