// crrc_VIDEO.h - Airplane selection dialog

#ifndef CRRC_VIDEO_H
#define CRRC_VIDEO_H

#include <plib/pu.h>
#include <plib/puAux.h>

#include "crrc_dialog.h"
#include "crrc_slider.h"

class CGUIVideoDialog;

/** \brief The video options dialog.
 *
 */
class CGUIVideoDialog : public CRRCDialog
{
  public:
    CGUIVideoDialog();
    ~CGUIVideoDialog();

   
    char**      resolutions;
    int         nResolutions;
    puaComboBox* combo_res;
    puButton*   fs_check;
    crrcSlider* slider_autozoom;
    crrcSlider* slider_sloppycam;
    crrcSlider* slider_fps;
    crrcSlider* slider_texoff;

    int full_x;
    int full_y;
    int window_x;
    int window_y;
    int use_fs;
    double dOldSkyTexOff;
};
#endif // CRRC_VIDEO_H
