#include "crrc_fdm.h"

#include "global.h"
#include "crrc_scenery.h"
#include "windfield.h"


float CRRC_FDM_Env::GetSceneryHeight(float x_north, float y_east)
{
  return(
         Global::scenery->getHeight(x_north, y_east)
         );
}

int CRRC_FDM_Env::CalculateWind(double  X_cg,      double  Y_cg,     double  Z_cg,
                                double& Vel_north, double& Vel_east, double& Vel_down)
{
  return(calculate_wind(X_cg,      Y_cg,     Z_cg,
                        Vel_north, Vel_east, Vel_down));
}
