#ifndef __LOGGERREADER_TTYS_H
#define __LOGGERREADER_TTYS_H

#include "LoggerReader_byte.h"

#ifdef linux
# include <termios.h> // seriell
#endif

/**
 * TODO: -eine Methode, ber die man die verfgbaren Baudraten
 *        erfragen kann
 */
class LoggerReader_ttyS : public LoggerReader_byte
{
  public:
   LoggerReader_ttyS(unsigned int uBufSize,
                     const char*  sd,
                     int          baudrate);
   ~LoggerReader_ttyS();

   int  fetchData();
      
  private:
#ifdef linux
   int               serPort;          // der file-descriptor
   struct termios    saved_attributes; // Use this variable to remember original terminal attributes.
#endif
   
   void reset_input_mode();
   void set_input_mode(int baudrate);
};

#endif
