/***************************************************************************
                          ls_geodesy.h  -  description
                             -------------------
    begin                : Sat Jan 22 2000
    copyright            : (C) 2000 by Jan Edward Kansky
    email                : kansky@ll.mit.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/* a quick ls_geodesy.h */


#ifndef _LS_GEODESY_H
#define _LS_GEODESY_H

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */



void ls_geoc_to_geod( SCALAR lat_geoc, SCALAR radius, 
		      SCALAR *lat_geod, SCALAR *alt, SCALAR *sea_level_r );

void ls_geod_to_geoc( SCALAR lat_geod, SCALAR alt, SCALAR *sl_radius, 
		      SCALAR *lat_geoc );

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _LS_GEODESY_H */
