#include "linearreg.h"


void T_LinearReg::init()
{
  x.clear();
  y.clear();
}

void T_LinearReg::calc()
{
  double s1=0, s2=0, xquer=0, yquer=0;

  for (unsigned int i=0; i<x.size(); i++)
    {
      s1 += y[i]*x[i];
      s2 += x[i]*x[i];
      xquer += x[i];
      yquer += y[i];
    }
  xquer /= x.size();
  yquer /= x.size();

  b = (s1 - x.size()*xquer*yquer) / (s2 - x.size()*xquer*xquer);
  a = yquer - b * xquer;
}

void T_LinearReg::add(double ix, double iy)
{
  x.push_back(ix);
  y.push_back(iy);
}

double T_LinearReg::get_b()
{
  return(b);
}

double T_LinearReg::get_a()
{
  return(a);
}
