#ifndef PT1_H
# define PT1_H

namespace CRRCMath
{
  /**
   * PT1-Glied
   *
   * @author Jens Wilhelm Wulf
   */
  class PT1
  {
    public:

     /**
      * @param ival             initial value
      * @param zeitkonstante    zero means no filter at all
      */
     void init(double ival, double zeitkonstante);

     /**
      * @param dt   timestep [s]
      * @param nval new input value
      */
     void step(double dt, double nval);

     /**
      * Value of filter output
      */
     double val;

    private:
     double dZeitkonstante;
     double d_Mul;
     double d_dt_Alt;
  };
};
#endif
