#include "vector3.h"

#include <iostream>
#include <math.h>

namespace CRRCMath
{

  double Vector3::length()
  {
    return(sqrt(
                r[0]*r[0] + r[1]*r[1] + r[2]*r[2]
                ));
  }

  void Vector3::print(std::string pre, std::string post)
  {
    std::cout.setf(std::ios_base::fixed, std::ios_base::floatfield);
    //  std::cout.precision(2);
    std::cout << pre << "(";

    std::cout.width(7);
    std::cout << r[0] << "|";

    std::cout.width(7);
    std::cout << r[1] << "|";

    std::cout.width(7);
    std::cout << r[2] << ")" << post;
  }
};
